Skip to main content
`Ctrl`+`K`

# DMSetVecType

Sets the type of vector to be created with `DMCreateLocalVector()` and `DMCreateGlobalVector()`

## Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode DMSetVecType(DM dm, VecType ctype)

Logically Collective

## Input Parameters

- dm - initial distributed array

- ctype - the vector type, for example `VECSTANDARD`, `VECCUDA`, or `VECVIENNACL`

## Options Database Key

- -dm_vec_type ctype - the type of vector to create

## See Also

DM Basics, `DM`, `DMCreate()`, `DMDestroy()`, `DMDAInterpolationType`, `VecType`, `DMGetVecType()`, `DMSetMatType()`, `DMGetMatType()`, `VECSTANDARD`, `VECCUDA`, `VECVIENNACL`, `DMCreateLocalVector()`, `DMCreateGlobalVector()`

## Level

intermediate

## Location

src/dm/interface/dm.c

## Examples

src/snes/tutorials/ex55.c
src/snes/tutorials/ex28.c

Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages